package agentes;

import jade.core.behaviours.CyclicBehaviour;
import jade.lang.acl.ACLMessage;

public class Anfitrion extends AgenteV2 {

	int invitados = 0;
	boolean inicio=true;
	public void setup(){
		addBehaviour(new Recibir(this));		
	}
	
	private class Recibir extends CyclicBehaviour{

		Anfitrion este;
		
		public Recibir(Anfitrion anfitrion){
			this.este = anfitrion;
		}
		
		@Override
		public void action() {
			ACLMessage mensaje = receive(); 
			if(mensaje!=null){
				if(mensaje.getLanguage().equals("Bulgaro")){
	                System.out.println(este.getLocalName() + ": Recibi un saludo de: " + mensaje.getSender().getLocalName() + " dijo: " + mensaje.getContent());
	                invitados ++;
	                sendMessage(mensaje.getSender().getLocalName(), "Disfruta de la fiesta", mensaje.getLanguage());
	                if (invitados>=10)
	    				sendMessageBroadCast("Gracias por venir", 0, este, "Ruso");
				}
	        	if(mensaje.getLanguage().equals("Portugues")){
	                System.out.println(este.getLocalName() + ": Recibi una despedida de: " + mensaje.getSender().getLocalName() + " dijo: " + mensaje.getContent());
	                sendMessage(mensaje.getSender().getLocalName(), "Gracias por venir", "Portugues");   
	                invitados --;
	                System.out.println(invitados);
	                inicio=false;
	        	} 
			}//if null 
			if(invitados<=1 && !inicio)
				doDelete();
		}//action 
	
	}//recibir
	protected void takeDown() { 
		System.out.println("Fin de la FIESTA!!!!!!!!");
		sendMessageBroadCast("Despedidos", 0, this, "Austriaco");
	    }
		
	}
	
